Package org.eclipse.graphiti.dt

# Interface IDiagramType

All Superinterfaces:
  `IExtension`

All Known Implementing Classes:
  `DiagramTypeImpl`

public interface IDiagramType extends IExtension
The Interface IDiagramType.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the description.
`String`
`getId()`
Gets the id.
`String`
`getName()`
Gets the name.

### Methods inherited from interface org.eclipse.graphiti.platform.IExtension

`getProviderId, setProviderId`

## Method Details

### getId

String getId()
Gets the id.

Returns:
  the id of the new diagram type

### getName

String getName()
Gets the name.

Returns:
  the name of the new diagram type

### getDescription

String getDescription()
Gets the description.

Returns:
  the description of the new diagram type